<?php
namespace CorpusParole\Providers;

use CorpusParole\Services\Version;
use Illuminate\Support\ServiceProvider;

/**
 * guzzle Service Provider, inspired by https://github.com/urakozz/laravel-guzzle
 */
class VersionServiceProvider extends ServiceProvider
{
    /**
     * Register the version provider
     *
     * @return Version
     */
    public function register()
    {
        $this->app->singleton('version', function($app)
        {
            return new Version();
        });
    }
}
